__set_bit
Prev | Bit Operations | Next

## Name

__set_bit — Set a bit in memory

## Synopsis

`void __set_bit (` | int | nr,
| volatile unsigned long * | addr`)`;

## Arguments

`nr`

  the bit to set

`addr`

  the address to start counting from

## Description

Unlike `set_bit`, this function is non-atomic and may be reordered. If it's called on the same region of memory simultaneously, the effect may be that only one operation succeeds.

Prev | Up | Next
set_bit | Home | clear_bit